Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename rfile
%global enable_tests 1

Name:		nodejs-rfile
Version:	1.0.0
Release:	alt1_4
Summary:	Require a plain text or binary file in node.js

License:	MIT
URL:		https://github.com/ForbesLindesay/rfile.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/ForbesLindesay/rfile/master/LICENSE


BuildArch:	noarch

BuildRequires:	dos2unix
BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(callsite)
BuildRequires:	npm(resolve)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif
Source44: import.info

%description
Require a plain text or binary file in node.js


%prep
%setup -q -n package

cp -p %{SOURCE1} .

%nodejs_fixdep resolve

dos2unix README.md

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_4
- new version

